@Echo off
title Unlock Bootloader
echo.Bootloader will be unlocked, backup your data in advance!
echo.   1. Turn on "USB Debugging" and "OEM Unlocking" in developer settings
echo.   2. Allow "USB Debugging" if asked by device
echo.Press any key to continue...
pause>nul
echo.
echo.Please select your device status:
echo.   1. Fully booted
echo.   2. Fastboot mode
set choice=
set /p choice=Status: 
IF NOT "%choice%"=="" SET choice=%choice:~0,1%
if /i "%choice%"=="2" goto fastboot
if /i "%choice%"=="1" goto adb
:adb
echo.
echo.Your bootloader will be unlocked soon, connect your device with PC
echo.Searching for device...
.\tools\adb.exe wait-for-device
.\tools\adb.exe reboot-bootloader
Echo Wait 7 seconds...
timeout -t 7 >nul
:fastboot
echo.
echo.Flashing unlock image...
.\tools\fastboot.exe flash unlock sn.img
echo.Start unlocking...
.\tools\fastboot.exe oem unlock-go
echo.If prompt says "OKAY", unlocking was successfull.
echo Done!
pause
